js_close(3)

NAME
js_close - Close a previously opened file

SYNOPSIS
#include JsStr.h

int js_close(js_file *desc)

DESCRIPTION
js_close closes the file pointed to by desc.

RETURN VALUE
js_close returns JS_SUCCESS on successful closing of the file, JS_ERROR otherwise.

EXAMPLE
The following opens up the file "filename" for reading, then closes it:

	js_string *foo;
	js_file *bar;
	foo = js_create(256,1);
	js_str2js(foo,"filename",8,1);
	js_open(foo,bar);
	js_close(bar);

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>